/*
 Navicat Premium Data Transfer

 Source Server         : PostgreSql本地
 Source Server Type    : PostgreSQL
 Source Server Version : 160004
 Source Host           : localhost:5432
 Source Catalog        : taais
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 160004
 File Encoding         : 65001

 Date: 07/09/2024 11:43:44
*/


-- ----------------------------
-- Table structure for data_augmentation
-- ----------------------------
DROP TABLE IF EXISTS "public"."data_augmentation";
CREATE TABLE "public"."data_augmentation" (
  "id" "pg_catalog"."int8" NOT NULL DEFAULT nextval('demo_data_augmentation_id_seq'::regclass),
  "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "start_time" "pg_catalog"."timestamp",
  "end_time" "pg_catalog"."timestamp",
  "cost_second" "pg_catalog"."int8",
  "task_type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "create_by" "pg_catalog"."int8",
  "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "update_by" "pg_catalog"."int8",
  "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "del_flag" "pg_catalog"."int2" NOT NULL DEFAULT '0'::smallint,
  "tenant_id" "pg_catalog"."int8",
  "version" "pg_catalog"."int4",
  "input_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "output_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "input_oss_id" "pg_catalog"."int8",
  "algorithm_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "hyperparameter_configuration" "pg_catalog"."varchar" COLLATE "pg_catalog"."default"
)
;
COMMENT ON COLUMN "public"."data_augmentation"."id" IS '主键ID';
COMMENT ON COLUMN "public"."data_augmentation"."name" IS '名称';
COMMENT ON COLUMN "public"."data_augmentation"."status" IS '任务状态 0未开始 1进行中 2已结束 3 失败';
COMMENT ON COLUMN "public"."data_augmentation"."start_time" IS '开始时间';
COMMENT ON COLUMN "public"."data_augmentation"."end_time" IS '结束时间';
COMMENT ON COLUMN "public"."data_augmentation"."cost_second" IS '耗时';
COMMENT ON COLUMN "public"."data_augmentation"."task_type" IS '任务类型';
COMMENT ON COLUMN "public"."data_augmentation"."log" IS '日志';
COMMENT ON COLUMN "public"."data_augmentation"."create_by" IS '创建人';
COMMENT ON COLUMN "public"."data_augmentation"."create_time" IS '创建时间';
COMMENT ON COLUMN "public"."data_augmentation"."update_by" IS '更新人';
COMMENT ON COLUMN "public"."data_augmentation"."update_time" IS '更新时间';
COMMENT ON COLUMN "public"."data_augmentation"."remarks" IS '备注';
COMMENT ON COLUMN "public"."data_augmentation"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';
COMMENT ON COLUMN "public"."data_augmentation"."tenant_id" IS '租户编码';
COMMENT ON COLUMN "public"."data_augmentation"."version" IS '乐观锁';
COMMENT ON COLUMN "public"."data_augmentation"."input_path" IS ' 输入路径';
COMMENT ON COLUMN "public"."data_augmentation"."output_path" IS '输出路径';
COMMENT ON COLUMN "public"."data_augmentation"."algorithm_path" IS '算法路径';
COMMENT ON COLUMN "public"."data_augmentation"."hyperparameter_configuration" IS '超参配置';
COMMENT ON TABLE "public"."data_augmentation" IS '数据增强';

-- ----------------------------
-- Records of data_augmentation
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table data_augmentation
-- ----------------------------
ALTER TABLE "public"."data_augmentation" ADD CONSTRAINT "data_augmentation_pkey" PRIMARY KEY ("id");
