
create table sys_import_export_t
(
    id          bigint                      not null,
    name        varchar(255),
    url         varchar(500),
    oss_id      bigint,
    log_info    text,
    status      char    default '1'::bpchar not null,
    tenant_id   bigint  default '0'::bigint not null,
    version     integer default 0           not null,
    create_by   bigint,
    create_time timestamp,
    update_by   bigint,
    update_time timestamp,
    constraint sys_import_export_pk
        primary key (id)
);

comment on table sys_import_export_t is '导入导出记录';

comment on column sys_import_export_t.id is '唯一编码';

comment on column sys_import_export_t.name is '文件名称';

comment on column sys_import_export_t.url is '文件地址';

comment on column sys_import_export_t.oss_id is '文件Id';

comment on column sys_import_export_t.log_info is '日志信息';

comment on column sys_import_export_t.status is '状态(1正常  0异常 2部分正常)';

comment on column sys_import_export_t.tenant_id is '租户id';

comment on column sys_import_export_t.version is '乐观锁';

comment on column sys_import_export_t.create_by is '创建人';

comment on column sys_import_export_t.create_time is '创建时间';

comment on column sys_import_export_t.update_by is '更新人';

comment on column sys_import_export_t.update_time is '更新时间';

