/*
 Navicat Premium Data Transfer

 Source Server         : PostgreSql本地
 Source Server Type    : PostgreSQL
 Source Server Version : 160004
 Source Host           : localhost:5432
 Source Catalog        : taais
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 160004
 File Encoding         : 65001

 Date: 07/09/2024 11:43:44
*/

CREATE SEQUENCE public.target_track_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


-- ----------------------------
-- Table structure for target_track
-- ----------------------------
DROP TABLE IF EXISTS "public"."target_track";
CREATE TABLE "public"."target_track" (
  "id" "pg_catalog"."int8" NOT NULL DEFAULT nextval('target_track_id_seq'::regclass),
  "name" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "status" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "start_time" "pg_catalog"."timestamp",
  "end_time" "pg_catalog"."timestamp",
  "cost_second" "pg_catalog"."int8",
  "task_type" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "log" "pg_catalog"."text" COLLATE "pg_catalog"."default",
  "create_by" "pg_catalog"."int8",
  "create_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "update_by" "pg_catalog"."int8",
  "update_time" "pg_catalog"."timestamp" DEFAULT CURRENT_TIMESTAMP,
  "remarks" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "del_flag" "pg_catalog"."int2" NOT NULL DEFAULT '0'::smallint,
  "tenant_id" "pg_catalog"."int8",
  "version" "pg_catalog"."int4",
  "input_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "output_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default" DEFAULT ''::character varying,
  "input_oss_id" "pg_catalog"."int8",
  "log_path" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "yolo_model" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "tracking_method" "pg_catalog"."varchar" COLLATE "pg_catalog"."default",
  "imgsz" "pg_catalog"."int8",
  "conf" "pg_catalog"."float8",
  "iou" "pg_catalog"."float8"
)
;
COMMENT ON COLUMN "public"."target_track"."id" IS '主键ID';
COMMENT ON COLUMN "public"."target_track"."name" IS '名称';
COMMENT ON COLUMN "public"."target_track"."status" IS '任务状态 0未开始 1进行中 2已结束 3 失败';
COMMENT ON COLUMN "public"."target_track"."start_time" IS '开始时间';
COMMENT ON COLUMN "public"."target_track"."end_time" IS '结束时间';
COMMENT ON COLUMN "public"."target_track"."cost_second" IS '耗时';
COMMENT ON COLUMN "public"."target_track"."task_type" IS '任务类型';
COMMENT ON COLUMN "public"."target_track"."log" IS '日志';
COMMENT ON COLUMN "public"."target_track"."create_by" IS '创建人';
COMMENT ON COLUMN "public"."target_track"."create_time" IS '创建时间';
COMMENT ON COLUMN "public"."target_track"."update_by" IS '更新人';
COMMENT ON COLUMN "public"."target_track"."update_time" IS '更新时间';
COMMENT ON COLUMN "public"."target_track"."remarks" IS '备注';
COMMENT ON COLUMN "public"."target_track"."del_flag" IS '逻辑删除标志（0代表存在 1代表删除）';
COMMENT ON COLUMN "public"."target_track"."tenant_id" IS '租户编码';
COMMENT ON COLUMN "public"."target_track"."version" IS '乐观锁';
COMMENT ON COLUMN "public"."target_track"."input_path" IS ' 输入路径';
COMMENT ON COLUMN "public"."target_track"."output_path" IS '输出路径';
COMMENT ON COLUMN "public"."target_track"."log_path" IS ' 日志路径';
COMMENT ON COLUMN "public"."target_track"."yolo_model" IS 'yolo模型';
COMMENT ON COLUMN "public"."target_track"."tracking_method" IS ' 追踪方法';
COMMENT ON COLUMN "public"."target_track"."imgsz" IS '帧宽度';
COMMENT ON COLUMN "public"."target_track"."conf" IS ' 置信阈值';
COMMENT ON COLUMN "public"."target_track"."iou" IS 'iou';

COMMENT ON TABLE "public"."target_track" IS '目标追踪';

-- ----------------------------
-- Records of target_track
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table target_track
-- ----------------------------
ALTER TABLE "public"."target_track" ADD CONSTRAINT "target_track_pkey" PRIMARY KEY ("id");
