/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法模型配置对象 algorithm_model_track
 *
 * @author wangkang
 * 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "algorithm_model_track")
public class AlgorithmModelTrack extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 算法 */
    private Long algorithmId;

    /** 模型名称 */
    private String modelName;

    /** 模型 */
    private String modelAddress;

    /** 训练样本数 */
    private Long sampleNumber;

    /** 训练循环次数 */
    private Long cycleEpoch;

    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /** 系统 */
    private String system;

    private String algorithmType;

    /*
    *  NOT_START = "0";
       RUNNING = "1";
       END = "2";
       FAILED = "3";
       INTERRUPTED = "4";
    */
    private String modelStatus;
}
