package com.taais.biz.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import com.taais.common.orm.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 * 目标识别子任务对象 target_identification_subtask
 *
 * @author Allen
 * 2024-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "data_amplification_task")
public class DataAmplificationTask extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /**
     * 子任务id
     */
    private Long subTaskId;

    /**
     * 参数类型
     */
    private String augmentationType;

    private String inputImagePath;

    private String outputImagePath;

    /** 任务名称 */
    private String name;

    /** 任务状态 */
    private String status;

    /**
     * 数据批次号
     */
    private String dataBatchNums;

    /**
     * 调用算法时所用的参数
     */
    private String parameters;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 耗时
     */
    private Integer costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;

}
