package com.taais.biz.domain;


import java.util.Date;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import jakarta.validation.constraints.NotNull;
import lombok.*;

import java.io.Serial;

import com.taais.common.orm.core.domain.BaseEntity;
import lombok.Data;

/**
 * 数据增强对象 data_augmentation
 *
 * @author tanlun
 * 2024-10-11
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "data_augmentation")
@AllArgsConstructor
@NoArgsConstructor
public class DataAugmentation extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 视频名称
     */
    private String name;

    /**
     * 任务状态 0未开始 1进行中 2已结束
     */
    private String status;

    /**
     * 输入oss_ID
     */
    private Long inputOssId;
    private String inputPath;
    private String outputPath;
    /** 任务类型 */
    private String taskType;
    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /**
     * 算法路径
     */
    private String algorithmPath;

    /**
     * 超参配置
     */
    private String hyperparameterConfiguration;

}
