/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 数据管理对象 data_seq
 *
 * @author wangkang
 * 2024-10-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "data_seq")
public class DataSeq extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    private Long id;

    /**
     * 名称
     */
    private String name;

    private String subsystem;

    /**
     * 数据类型
     */
    private String dataType;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 目标类型
     */
    private String objectType;

    /**
     * 目标子类型
     */
    private String objectSubtype;

    /**
     * 批次号
     */
    private String batchNum;

    /**
     * 场景
     */
    private String scene;

    /**
     * 数据源
     */
    private String dataSource;

    /**
     * 采集时间
     */
    private Date gatherTime;

    /**
     * 采集地点
     */
    private String gatherSpot;

    /**
     * 图片url
     */
    private String url;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /**
     * 图片压缩包路径
     */
    private String filePath;

    /**
     * 压缩包解压的路径
     */
    private String unzipPath;

    /**
     * 输入oss_ID
     */
    private Long inputOssId;
}
