package com.taais.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 多物体融合轨迹识别对象 object_trace_merge
 *
 * @author km
 * 2024-10-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "object_trace_merge")
public class ObjectTraceMerge extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 任务名称 */
    private String name;

    /** 任务状态 */
    private String status;

    /** 调用算法时所用的参数 */
    private String parameters;

    /** 预处理数据路径 */
    private String preprocessPath;

    /** 结果数据路径 */
    private String resultPath;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 耗时 */
    private Long costSecond;

    /** 备注 */
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @Column(isLogicDelete = true)
    private Integer delFlag;


}
