/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 注视轨迹序列对象 track_sequence
 *
 * @author wangkang
 * 2024-09-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "track_sequence")
public class TrackSequence extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** ID */
    @Id
    private Long id;

    /** 任务名称 */
    private String name;

    /** 状态
0：未开始
1：进行中
2：完成
3：失败
4：中断 */
    private String status;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 耗时 */
    private Long costSecond;

    /** 日志 */
    private String log;

    /** 备注 */
    private String remarks;

    /** $column.columnComment */
    @Column(isLogicDelete = true)
    private Integer delFlag;

    /** $column.columnComment */
    private String url;

    /** $column.columnComment */
    private Long inputOssId;

    /** 输入路径 */
    private String inputPath;

    /** 输出路径 */
    private String outputPath;

    /** zip文件输出路径 */
    private String zipFilePath;

    private Long algorithmModelId;
    private Long algorithmId;
}
