/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain;

import java.util.Date;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.*;

import java.io.Serial;

import com.taais.common.orm.core.domain.BaseEntity;
import lombok.Data;

/**
 * 视频去抖动对象 video_stable
 *
 * @author 0
 * 2024-08-30
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "video_stable")
@AllArgsConstructor
@NoArgsConstructor
public class VideoStable extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 视频名称
     */
    private String name;

    /**
     * 任务状态 0未开始 1进行中 2已结束
     */
    private String status;

    /**
     * 输入oss_ID
     */
    private Long inputOssId;

    private String inputPath;
    private String outputPath;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 逻辑删除标志（0代表存在 1代表删除）
     */
    @Column(isLogicDelete = true)
    private Integer delFlag;


    @Builder.Default
    private Integer  block_size = 50;
    @Builder.Default
    private Integer  radius = 500;
    @Builder.Default
    private Integer  buffer_size = 200;
    @Builder.Default
    private Double cornerquality = 0.2;
    @Builder.Default
    private Integer  cornerminDistance = 5;
    @Builder.Default
    private Integer  lklevel = 3;
    @Builder.Default
    private Integer  lkwinSiz = 15;

    @Column(ignore = true)
    private String logPath;
}
