/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmConfigTrack;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置业务对象 algorithm_config_track
 *
 * @author wangkang
 * @date 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmConfigTrack.class, reverseConvertGenerate = false)
public class AlgorithmConfigTrackBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 类型
     */
    private String type;

    /**
     * 父id
     */
    private Long parentId;

    /**
     * 分系统
     */
    private String subsystem;

    /**
     * 算法名称
     */
    @NotBlank(message = "算法名称不能为空")
    private String algorithmName;

    /**
     * 算法地址
     */
    @NotBlank(message = "算法地址不能为空")
    private String algorithmAddress;

    /**
     * 参数配置
     */
    @NotBlank(message = "参数配置不能为空")
    private String parameterConfig;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 系统
     */
    private String system;
}
