/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmModelTrack;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法模型配置业务对象 algorithm_model_track
 *
 * @author wangkang
 * @date 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmModelTrack.class, reverseConvertGenerate = false)
public class AlgorithmModelTrackBo extends BaseEntity {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 算法
     */
    @NotNull(message = "算法不能为空")
    private Long algorithmId;

    /**
     * 模型名称
     */
    @NotBlank(message = "模型名称不能为空")
    private String modelName;

    // @NotNull(message = "模型文件不能为空")
    private Long modelInputOssId;
    // 模型的路径
    private String modelPath;

    /**
     * 模型
     */
    private String modelAddress;

    /**
     * 训练样本数
     */
    private Long sampleNumber;

    /**
     * 训练循环次数
     */
    private Long cycleEpoch;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 系统
     */
    private String system;

    private String subSystem;

    private String algorithmType;

    private String modelStatus;
}
