package com.taais.biz.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.domain.DataAugmentation;
import com.taais.biz.domain.VideoStable;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 数据增强对象 data_augmentation
 *
 * @author tanlun
 * 2024-10-11
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = DataAugmentation.class, reverseConvertGenerate = false)
@AllArgsConstructor
@NoArgsConstructor
public class DataAugmentationBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 视频名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态 0未开始 1进行中 2已结束
     */
    private String status;

    /**
     * 输入图片集ossId
     */
    @NotNull(message = "输入图片集不能为空")
    private Long inputOssId;

    @NotBlank(message = "任务类型不能为空")
    private String taskType;

    private String inputPath;
    private String outputPath;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;
    /**
     * 算法路径
     */
    private String algorithmPath;
    /**
     * 超参配置
     */
    private String hyperparameterConfiguration;
}
