/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain.bo;

import com.taais.biz.domain.DataSeq;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 数据管理业务对象 data_seq
 *
 * @author wangkang
 * @date 2024-10-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = DataSeq.class, reverseConvertGenerate = false)
public class DataSeqBo extends BaseEntity {
    /**
     * id
     */
    private Long id;

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空")
    private String name;

    /**
     * 数据类型
     */
    @NotBlank(message = "分系统不能为空")
    private String subsystem;

    /**
     * 数据类型
     */
    private String dataType;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 目标类型
     */
    private String objectType;

    /**
     * 目标子类型
     */
    private String objectSubtype;

    /**
     * 批次号
     */
    @NotBlank(message = "批次号不能为空")
    private String batchNum;

    /**
     * 场景
     */
    private String scene;

    /**
     * 数据源
     */
    private String dataSource;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date gatherTime;

    /**
     * 采集地点
     */
    private String gatherSpot;

    /**
     * 图片url
     */
    private String url;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    private String filePath;
    private String unzipPath;

    @NotNull(message = "请上传数据集文件")
    private Long inputOssId;
}
