package com.taais.biz.domain.bo;

import com.taais.biz.domain.ObjectTraceMerge;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 多物体融合轨迹识别业务对象 object_trace_merge
 *
 * @author km
 * @date 2024-10-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ObjectTraceMerge.class, reverseConvertGenerate = false)
public class ObjectTraceMergeBo extends BaseEntity{
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 任务状态
     */
    private String status;

    /**
     * 调用算法时所用的参数
     */
    private String parameters;

    /**
     * 预处理数据路径
     */
    @NotBlank(message = "预处理数据路径不能为空")
    private String preprocessPath;

    /**
     * 结果数据路径
     */
    private String resultPath;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 备注
     */
    private String remarks;


}
