/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain.bo;

import com.taais.biz.domain.TargetDetection;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 目标检测业务对象 target_detection
 *
 * @author wangkang
 * @date 2024-09-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TargetDetection.class, reverseConvertGenerate = false)
public class TargetDetectionBo extends BaseEntity{
    /**
     * ID
     */
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 状态
        0：未开始
        1：进行中
        2：完成
        3：失败
        4：中断
             */
    private String status;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * $column.columnComment
     */
    private String url;

    /**
     * $column.columnComment
     */
    @NotNull(message = "图片集不能为空")
    private Long inputOssId;

    /**
     * 输入路径
     */
    private String inputPath;

    /**
     * 输出路径
     */
    private String outputPath;

    /**
     * zip文件输出路径
     */
    private String zipFilePath;

    /**
     * 模型的id
     */
    @NotNull(message = "模型的id不能为空")
    private Long algorithmModelId;
}
