/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.biz.domain.TrackSequence;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

import java.util.Date;

/**
 * 注视轨迹序列业务对象 track_sequence
 *
 * @author wangkang
 * @date 2024-09-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TrackSequence.class, reverseConvertGenerate = false)
public class TrackSequenceBo extends BaseEntity{
    /**
     * ID
     */
    private Long id;

    /**
     * 任务名称
     */
    @NotBlank(message = "任务名称不能为空")
    private String name;

    /**
     * 状态
0：未开始
1：进行中
2：完成
3：失败
4：中断
     */
    private String status;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * $column.columnComment
     */
    private String url;

    /**
     * $column.columnComment
     */
    @NotNull(message = "上传文件不能为空")
    private Long inputOssId;

    /**
     * 输入路径
     */
    private String inputPath;

    /**
     * 输出路径
     */
    private String outputPath;

    /**
     * zip文件输出路径
     */
    private String zipFilePath;

    private Long algorithmModelId;
    private Long algorithmId;
}
