package com.taais.biz.domain.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.List;
import java.util.Map;


/**
 * @author Eureka
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DataAmplifyDto {

    @NotBlank(message = "id不能为空")
    private String id;

    @NotBlank(message = "批次不能为空")
    private String batchNum;

    @NotBlank(message = "任务名称")
    private String taskName;

    @NotBlank(message = "扩充方式不能为空")
    private String augmentationType;

    private String inputImagePath;

    private String outputImagePath;

    @NotEmpty(message = "扩充算法配置不能为空")
    private List<Map<String, String>> otherParams;
}
