package com.taais.biz.domain.dto.task;

import com.taais.biz.domain.dto.DataAmplifyDto;
import lombok.Data;

import java.util.List;

/**
 * @author allen
 */
@Data
public class CreateTargetIdentificationTaskDto {

    public static final String TASK_TYPE_MORE_DATA_AND_SINGLE_ALGORITHM = "1";
    public static final String TASK_TYPE_SINGLE_DATA_AND_MORE_ALGORITHM = "2";
//    public static final String TASK_ITEM_TRAIN = "1";
//    public static final String TASK_ITEM_TEST = "2";

    // 任务名称
    private String taskName;

    // 任务类型 target_identification_task_type 单数据多算法任务：1，多数据单算法任务：2
    private String taskType;

    // 算法任务 target_identification_task_item 1训练，2测试
    private List<String> taskItemList;

    // 选择算法
    private List<TaskDto> algTaskList;
    //训练数据 ["批次号1,批次号2","批次号3,批次号4","批次号1,批次号3"]
    private List<String> trainBatchNumList;

    //训练数据 ["批次号1,批次号2","批次号3,批次号4","批次号1,批次号3"]
    private List<String> testBatchNumList;

    // 是否训练扩增
    private Boolean hasTrainAugmentation;

    // 训练扩增的超参
    private DataAmplifyDto trainAugmentationParams;
}
