package com.taais.biz.domain.vo;

import com.taais.biz.domain.AlgorithmConfigTrack;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置视图对象 algorithm_config_track
 *
 * @author wangkang
 * @date 2024-09-26
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmConfigTrack.class)
public class AlgorithmConfigTrackVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /** 类型 */
    @ExcelProperty(value = "类型")
    private String type;

    /** 父id */
    @ExcelProperty(value = "父id")
    private Long parentId;

    /** 分系统 */
    @ExcelProperty(value = "分系统")
    private String subsystem;

    /** 算法名称 */
    @ExcelProperty(value = "算法名称")
    private String algorithmName;

    /** 算法地址 */
    @ExcelProperty(value = "算法地址")
    private String algorithmAddress;

    /** 参数配置 */
    @ExcelProperty(value = "参数配置")
    private String parameterConfig;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

    /** 系统 */
    @ExcelProperty(value = "系统")
    private String system;



}
