package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.domain.AlgorithmTaskConfiguration;
import com.taais.common.orm.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmTaskConfiguration.class)
public class DataAmplificationTaskVo extends BaseEntity implements Serializable {

    @ExcelProperty(value = "主键ID")
    private Long id;

    /**
     * 子任务id
     */
    @ExcelProperty(value = "子任务id")
    private Long subTaskId;

    /**
     * 参数类型
     */
    @ExcelProperty(value = "参数类型")
    private String augmentationType;

    /** 任务名称 */
    @ExcelProperty(value = "任务名称")
    private String name;

    /** 任务状态 */
    @ExcelProperty(value = "任务状态")
    private String status;

    /**
     * 数据批次号
     */
    @ExcelProperty(value = "数据批次号")
    private String dataBatchNums;

    /**
     * 调用算法时所用的参数
     */
    @ExcelProperty(value = "调用算法时所用的参数")
    private String parameters;

    /**
     * 开始时间
     */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

    /**
     * 耗时
     */
    @ExcelProperty(value = "耗时")
    private Integer costSecond;

    /**
     * 日志
     */
    @ExcelProperty(value = "日志")
    private String log;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    @ExcelProperty(value = "输入路径")
    private String inputImagePath;

    @ExcelProperty(value = "输出路径")
    private String outputImagePath;

}
