package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.constant.BizConstant;
import com.taais.biz.domain.TargetIdentificationSubtaskDetails;
import com.taais.common.core.config.TaaisConfig;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import com.taais.common.orm.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 目标识别子任务视图对象 target_identification_subtask_details
 *
 * @author 0
 * @date 2024-08-17
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = TargetIdentificationSubtaskDetails.class)
public class TargetIdentificationSubtaskDetailsVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    // 子任务id
    private Long subtaskId;

    /** 任务名称 */
    @ExcelProperty(value = "任务名称")
    private String name;

    /** 任务状态 */
    @ExcelProperty(value = "任务状态")
    private String status;

    /** 算法 */
    @ExcelProperty(value = "算法")
    private Long algorithmId;

    private String type;

    /** 数据批次号 */
    @ExcelProperty(value = "数据批次号")
    private String dataBatchNums;

    /** 调用算法时所用的参数 */
    @ExcelProperty(value = "调用算法时所用的参数")
    private String parameters;

    /** 预处理数据路径 */
    @ExcelProperty(value = "预处理数据路径")
    private String preprocessPath;

    // 获取预处理数据路径绝对路径
    public String getAbsolutePreprocessPath(){
        return TaaisConfig.getProfile() + BizConstant.TASK_FOLDER_PATH_HEAD + preprocessPath;
    }

    /** 结果数据路径 */
    @ExcelProperty(value = "结果数据路径")
    private String resultPath;

    // 获取结果数据路径绝对路径
    public String getAbsoluteResultPath(){
        return TaaisConfig.getProfile() + BizConstant.TASK_FOLDER_PATH_HEAD + resultPath;
    }

    /** 序号 */
    @ExcelProperty(value = "序号")
    private Long index;

    /** 开始时间 */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /** 结束时间 */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

    /** 耗时 */
    @ExcelProperty(value = "耗时")
    private Long costSecond;

    /** $column.columnComment */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String log;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;
}
