package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.biz.domain.ToInfrared;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 可见光转红外视图对象 to_infrared
 *
 * @author 0
 * @date 2024-09-20
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ToInfrared.class)
public class ToInfraredVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 任务名称
     */
    @ExcelProperty(value = "任务名称")
    private String name;

    /**
     * 状态
     * 0：未开始
     * 1：进行中
     * 2：完成
     * 3：失败
     * 4：中断
     */
    @ExcelProperty(value = "状态 ")
    private String status;

    /**
     * 开始时间
     */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

    /**
     * 耗时
     */
    @ExcelProperty(value = "耗时")
    private Long costSecond;

    /**
     * 日志
     */
    @ExcelProperty(value = "日志")
    private String log;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${column.columnComment}")
    private Integer delFlag;

    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private String url;

    /**
     * $column.columnComment
     */
    @ExcelProperty(value = "${comment}", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "$column.readConverterExp()")
    private Long inputOssId;

    /**
     * 输入路径
     */
    @ExcelProperty(value = "输入路径")
    private String inputPath;

    /**
     * 输出路径
     */
    @ExcelProperty(value = "输出路径")
    private String outputPath;

    private Long algorithmModelId;
    private String type;
    private String subsystem;
    private String algorithmName;
    private String modelName;
}
