/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmConfigTrack;
import com.taais.biz.domain.vo.AlgorithmConfigTrackVo;
import com.taais.biz.domain.bo.AlgorithmConfigTrackBo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 算法配置Service接口
 *
 * @author wangkang
 * 2024-09-26
 */
public interface IAlgorithmConfigTrackService extends IBaseService<AlgorithmConfigTrack> {
    /**
     * 查询算法配置
     *
     * @param id 算法配置主键
     * @return 算法配置
     */
        AlgorithmConfigTrackVo selectById(Long id);

    /**
     * 查询算法配置列表
     *
     * @param algorithmConfigTrackBo 算法配置Bo
     * @return 算法配置集合
     */
    List<AlgorithmConfigTrackVo> selectList(AlgorithmConfigTrackBo algorithmConfigTrackBo);

    /**
     * 分页查询算法配置列表
     *
     * @param algorithmConfigTrackBo 算法配置Bo
     * @return 分页算法配置集合
     */
    PageResult<AlgorithmConfigTrackVo> selectPage(AlgorithmConfigTrackBo algorithmConfigTrackBo);

    /**
     * 新增算法配置
     *
     * @param algorithmConfigTrackBo 算法配置Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(AlgorithmConfigTrackBo algorithmConfigTrackBo);

    /**
     * 修改算法配置
     *
     * @param algorithmConfigTrackBo 算法配置Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmConfigTrackBo algorithmConfigTrackBo);

    /**
     * 批量删除算法配置
     *
     * @param ids 需要删除的算法配置主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    List<Object> getEnums();
}
