/**
 * 20241029 ©WANGKANG 1686617586@qq.com
 */

package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.AlgorithmModelTrack;
import com.taais.biz.domain.vo.AlgorithmModelTrackVo;
import com.taais.biz.domain.bo.AlgorithmModelTrackBo;
import com.taais.common.core.core.domain.CommonResult;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 算法模型配置Service接口
 *
 * @author wangkang
 * 2024-09-26
 */
public interface IAlgorithmModelTrackService extends IBaseService<AlgorithmModelTrack> {
    /**
     * 查询算法模型配置
     *
     * @param id 算法模型配置主键
     * @return 算法模型配置
     */
        AlgorithmModelTrackVo selectById(Long id);

    /**
     * 查询算法模型配置列表
     *
     * @param algorithmModelTrackBo 算法模型配置Bo
     * @return 算法模型配置集合
     */
    List<AlgorithmModelTrackVo> selectList(AlgorithmModelTrackBo algorithmModelTrackBo);

    /**
     * 分页查询算法模型配置列表
     *
     * @param algorithmModelTrackBo 算法模型配置Bo
     * @return 分页算法模型配置集合
     */
    PageResult<AlgorithmModelTrackVo> selectPage(AlgorithmModelTrackBo algorithmModelTrackBo);

    /**
     * 新增算法模型配置
     *
     * @param algorithmModelTrackBo 算法模型配置Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    CommonResult<String> insert(AlgorithmModelTrackBo algorithmModelTrackBo);

    /**
     * 修改算法模型配置
     *
     * @param algorithmModelTrackBo 算法模型配置Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(AlgorithmModelTrackBo algorithmModelTrackBo);

    /**
     * 批量删除算法模型配置
     *
     * @param ids 需要删除的算法模型配置主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

    List<Object> enums();
}
