package com.taais.biz.service;

import java.util.List;

import com.taais.biz.domain.ObjectTraceMerge;
import com.taais.biz.domain.bo.ObjectTraceMergeBo;
import com.taais.biz.domain.vo.ObjectTraceMergeVo;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.common.core.core.page.PageResult;

/**
 * 多物体融合轨迹识别Service接口
 *
 * @author km
 * 2024-10-16
 */
public interface IObjectTraceMergeService extends IBaseService<ObjectTraceMerge> {
    /**
     * 查询多物体融合轨迹识别
     *
     * @param id 多物体融合轨迹识别主键
     * @return 多物体融合轨迹识别
     */
        ObjectTraceMergeVo selectById(Long id);

    /**
     * 查询多物体融合轨迹识别列表
     *
     * @param objectTraceMergeBo 多物体融合轨迹识别Bo
     * @return 多物体融合轨迹识别集合
     */
    List<ObjectTraceMergeVo> selectList(ObjectTraceMergeBo objectTraceMergeBo);

    /**
     * 分页查询多物体融合轨迹识别列表
     *
     * @param objectTraceMergeBo 多物体融合轨迹识别Bo
     * @return 分页多物体融合轨迹识别集合
     */
    PageResult<ObjectTraceMergeVo> selectPage(ObjectTraceMergeBo objectTraceMergeBo);

    /**
     * 新增多物体融合轨迹识别
     *
     * @param objectTraceMergeBo 多物体融合轨迹识别Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(ObjectTraceMergeBo objectTraceMergeBo);

    /**
     * 修改多物体融合轨迹识别
     *
     * @param objectTraceMergeBo 多物体融合轨迹识别Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(ObjectTraceMergeBo objectTraceMergeBo);

    /**
     * 批量删除多物体融合轨迹识别
     *
     * @param ids 需要删除的多物体融合轨迹识别主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

}
