package com.taais.biz.utils;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CsvReadUtils {
    public static List<String[]> readCSV(String fileName, String splitChar) throws IOException {
        List<String[]> data = new ArrayList<>();
        BufferedReader br = new BufferedReader(new FileReader(fileName));
        String line = "";
        while ((line = br.readLine()) != null) {
            String[] row = line.split(splitChar);
            data.add(row);
        }
        br.close();
        return data;
    }

    public static String[] readCSVLastRow(String fileName, String splitChar) throws IOException {
        List<String[]> data = readCSV(fileName, splitChar);
        return data.get(data.size() - 1);
    }

    public static String[] readCSVHeader(String fileName, String splitChar) throws IOException {
        List<String[]> data = readCSV(fileName, splitChar);
        return data.get(0);
    }

    public static Map<String, String> readCSVForLastRowAsMap(String fileName, String splitChar) throws IOException {
        List<String[]> data = readCSV(fileName, splitChar);
        if (data.size() == 0) {
            return new HashMap<>();
        } else if (data.size() == 1) {
            String[] header = data.getFirst();
            Map<String, String> map = new HashMap<>();
            for (int i = 0; i < header.length; i++) {
                map.put(header[i], "");
            }
            return map;
        } else {
            String[] lastRow = data.getLast();
            String[] header = data.getFirst();
            Map<String, String> map = new HashMap<>();
            for (int i = 0; i < header.length; i++) {
                map.put(header[i], lastRow[i]);
            }
            return map;
        }
    }
}
