#### 共享目录

主要用于图片、日志等文件的存放、方便宿主机和各个docker之间的访问，在宿主机上只有算法驱动软件使用该目录下的文件，其他软件不要随意访问/修改/删除

宿主机：/home/ObjectDetection_Web

docker：/home/ObjectDetection_Web

#### 算法运行接口

| 名称   | 内容                                    |
| ---- | ------------------------------------- |
| 接口名称 | 调用算法接口                                |
| 调用协议 | http协议                                |
| 调用方式 | post                                  |
| 数据格式 | json                                  |
| 接口地址 | 127.0.0.1:10029/movt                  |
| 备注   | 接口地址需要算法自己定义，定义前需要确认系统中是否有重复的接口地址和端口号 |
| 样例：  |                                       |

```json
{
    "bizType": "xxx", 业务类型 // 算法不使用该字段，数据管理后端使用，回调时返回该字段
    "bizId": 19, 业务id // 算法不使用该字段，数据管理后端使用，回调时返回该字段
    "logPath": "/xxx/yyy/zzz", //日志地址
    "sourcePath"："/xxx/xxx/xxx",// 绝对路径，所有算法需要能访问统一的相对路径。图片所在文件夹路径，其中包含所有图片，标注文件与图片文件同名。如果是图片则在该目录的image文件夹下，如果是labels则在labels目录下
    "resultPath"："/www/eee/rrr",// 绝对路径，所有算法需要能访问统一的相对路径。
    "otherParams": { // 由算法配置定义
       # 权重，视频放在sourcePath下，标注后的视频和中间生成的txt放在resultPath下，输出只有视频 
       # 中间参数
        # 模型权重
        "yolo_model": 'yolov8__best.pt',
        # 跟踪方法
        "tracking_method": 'bytetrack',
        # 视频源
        "source": 'Project_Test.avi',
        # 帧宽度
        "imgsz": 960,
        # 置信阈值
        "conf": 0.5,
        # iou
        "iou": 0.7,
    }
}
```

#### 算法完成回调接口

| 名称   | 内容                               |
| ---- | -------------------------------- |
| 接口名称 | 算法完成回调接口                         |
| 调用协议 | http协议                           |
| 调用方式 | post                             |
| 数据格式 | json                             |
| 接口地址 | localhost:9090/public/taskResult |
| 备注   | 任务完成后调用的平台服务接口                   |
| 样例：  |                                  |

```json
{
    "status": 200, //状态 200成功，500失败
    "msg": "xxx错误", // 失败信息
    "bizType": "xxx", 业务类型 // 算法运行接口入参，原封不动返回
    "bizId": 19, 业务id // 算法运行接口入参，原封不动返回
}
```
